import { Injectable } from '@angular/core';
import { Router } from '@angular/router';

import { Effect, Actions, ofType } from '@ngrx/effects';
import { Action } from '@ngrx/store';

import { RPCClientError } from '@loafer/ng-rpc';
import { NoAuthProbeService } from '../../service/noauth-probe.service';

import {
  ActionType,
} from './noauth-probe-connecting.action';

@Injectable()
export class Effects {

  constructor(
    private actions$: Actions,
    private noAuthProbeService: NoAuthProbeService,
    private router: Router
  ) { }

}
