import { Component, OnInit } from '@angular/core';
import {ActivatedRoute, Router} from '@angular/router';

@Component({
  selector: 'of-pages-modify-password',
  templateUrl: './modify-password-page.component.html',
})
export class ModifyPasswordPageComponent implements OnInit {
  toenURL: string;

  constructor(
    private router: Router,
    private activatedRoute: ActivatedRoute,
  ) { }

  ngOnInit() {
    this.toenURL = this.activatedRoute.snapshot.queryParams['token'];
  }

  onSignin() {
    this.router.navigate(['auth/signin']);
  }
}
